//VTK::System::Dec
//VTK::Output::Dec

varying vec2 tcoordVC;

uniform sampler2D source;
uniform sampler2D depthSource;

void main(void)
{
  gl_FragData[0] = texture2D(source, tcoordVC);
  gl_FragDepth = texture2D(depthSource, tcoordVC).x;
}
